Move timestamp generation to separate job

This commit is contained in:
2018-12-15 21:35:39 +00:00
parent 7bcd2008f0
commit bf84a13f6f
4 changed files with 9 additions and 5 deletions

6
build/deploy.sh Normal file → Executable file
View File

@@ -5,10 +5,6 @@ hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting.";
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }
# Write deploy timestamp to disk
timestamp=$(date +%s)
echo $timestamp > ./theme/.timestamp
# Deploy theme with rsync
rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \
theme/* $SSH_USER@$SSH_IP:~/windycoys_theme
theme/. $SSH_USER@$SSH_IP:~/windycoys_theme